#!/bin/sh

cat \
  ../photometry_BOAO/Lc_Rc.dat \
  ../photometry_OWL3/Lc_Rc.dat \
  ../photometry_OWL4/Lc_Rc.dat \
  ../photometry_OWL5/Lc_Rc.dat \
  | sort -g | awk '!/^#/' > Lc_Rc.dat

cat \
  ../photometry_BOAO/Lc_Rc.eph \
  ../photometry_OWL3/Lc_Rc.eph \
  ../photometry_OWL4/Lc_Rc.eph \
  ../photometry_OWL5/Lc_Rc.eph \
  | sort -g | awk '!/^#/' > Lc_Rc.tmp

awk '(ARGIND==1) && !/^#/{ i++; d[i]=$4; }(ARGIND==2) && !/^#/{ j++; print $1,$2,$3,$4,$5,d[j]; }' Lc_Rc.dat Lc_Rc.tmp > Lc_Rc.eph

for I in 9 10 11 12 13 14 15 ; do
  awk -vI=$I '($4==I)' < Lc_Rc.dat > Lc_Rc$I.dat
  awk -vI=$I '($6==I)' < Lc_Rc.eph > Lc_Rc$I.eph
done


